OpenTTD Source: ScriptDebugWindow::FilterState Struct Reference

OpenTTD Source 15.3

Data Fields
ScriptDebugWindow::FilterState Struct Reference

## Data Fields
std::string | break_string
| The string to match to the AI output.
CompanyID | script_debug_company
| The AI that is (was last) being debugged.
bool | break_check_enabled
| Stop an AI when it prints a matching string.
bool | case_sensitive_break_check
| Is the matching done case-sensitive.

## Detailed Description

Definition at line 665 of file script_gui.cpp.

## Field Documentation

## ◆ break_check_enabled

bool ScriptDebugWindow::FilterState::break_check_enabled

Stop an AI when it prints a matching string.

Definition at line 668 of file script_gui.cpp.

Referenced by ScriptDebugWindow::OnClick(), ScriptDebugWindow::OnInit(), and ScriptDebugWindow::OnInvalidateData().

## ◆ break_string

std::string ScriptDebugWindow::FilterState::break_string

The string to match to the AI output.

Definition at line 666 of file script_gui.cpp.

Referenced by ScriptDebugWindow::OnEditboxChanged(), and ScriptDebugWindow::ScriptDebugWindow().

## ◆ case_sensitive_break_check

bool ScriptDebugWindow::FilterState::case_sensitive_break_check

Is the matching done case-sensitive.

Definition at line 669 of file script_gui.cpp.

Referenced by ScriptDebugWindow::OnClick(), ScriptDebugWindow::OnInvalidateData(), and ScriptDebugWindow::ScriptDebugWindow().

## ◆ script_debug_company

CompanyID ScriptDebugWindow::FilterState::script_debug_company

The AI that is (was last) being debugged.

Definition at line 667 of file script_gui.cpp.

Referenced by ScriptDebugWindow::ChangeToScript(), ScriptDebugWindow::DrawWidgetLog(), ScriptDebugWindow::GetWidgetString(), InitializeScriptGui(), ScriptDebugWindow::IsDead(), ScriptDebugWindow::OnClick(), ScriptDebugWindow::OnInvalidateData(), ScriptDebugWindow::SelectValidDebugCompany(), ShowScriptDebugWindow(), ScriptDebugWindow::UpdateAIButtonsState(), ScriptDebugWindow::UpdateGSButtonState(), and ScriptDebugWindow::UpdateLogScroll().

The documentation for this struct was generated from the following file:

- src/script/script_gui.cpp